
<?php 
$ht='';
$ht.='<div class="one-contact '.$instance['add_class'].'">';
    // Ensure that the repeater is available and not empty.
    if ( ! empty( $instance['a_repeater'] ) ) {
        $repeater_items = $instance['a_repeater'];
        foreach( $repeater_items as $index => $repeater_item ) {
				if($repeater_item['check']){
					$target=' target="_blank" '; 
				} else{
					$target='';
				}
				if($repeater_item['some_icon']){
					$class_con= 'has_icon_wid';
				}else{
					$class_con='';
				}
				$ht.='<div class="parent-tb '.@$class_con.' ">';
				
				if($repeater_item['some_icon']){
					$ht.='<a class="link_contact_det" href="'.sow_esc_url($repeater_item['some_url']).'" '.$target.'>';
						//$class_con= 'has_icon_wid';
						$ht.='<div class="icon-itm">
							'.siteorigin_widget_get_icon($repeater_item['some_icon']).'
						</div>';
					$ht.='<div class="itm title-itm ">'.$repeater_item['some_text'].'</div>';
					$ht.='</a>';
				}else{
					$ht.='<div class="line_contact_widget">';
						$ht.='<div class="itm title-itm ">';
						$ht.='<a class="inline_contact" href="'.sow_esc_url($repeater_item['some_url']).'" '.$target.'>'.$repeater_item['some_text'].'</a></div>';
					$ht.='</div>';
				}
				
			
				
				$ht.='</div>';
			}
		}
	$ht.='</div>';
	echo $ht;
?>
